### Type parameters

- #### Values: FormikValues

- #### Props

### Hierarchy

- FormikConfig<Values>
  - FormProps

## Index

### Properties

- children
- component
- enableReinitialize
- fields
- initialStatus
- initialValues
- isInitialValid
- onReset
- onSubmit
- render
- validate
- validateOnBlur
- validateOnChange
- validationSchema

## Properties

### Optional children

children: function | React.ReactNode

Inherited from FormikConfig.children

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:65

### Optional component

component: React.ComponentType<FormikProps<Values>> | React.ReactNode

Inherited from FormikConfig.component

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:63

### Optional enableReinitialize

enableReinitialize: undefined | false | true

Inherited from FormikSharedConfig.enableReinitialize

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:60

### fields

fields: FormFieldProps[]

- Defined in JsonForm/JsonForm.tsx:13

### Optional initialStatus

initialStatus: any

Inherited from FormikConfig.initialStatus

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:67

### initialValues

initialValues: Values

Inherited from FormikConfig.initialValues

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:66

### Optional isInitialValid

isInitialValid: boolean | function

Inherited from FormikSharedConfig.isInitialValid

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:59

### Optional onReset

onReset: undefined | function

Inherited from FormikConfig.onReset

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:68

### onSubmit

onSubmit: function

Inherited from FormikConfig.onSubmit

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:69

#### Type declaration

- - (values: Values, formikActions: FormikActions<Values>): void

  - #### Parameters

    - ##### values: Values

    - ##### formikActions: FormikActions<Values>

    #### Returns void

### Optional render

render: undefined | function

Inherited from FormikConfig.render

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:64

### Optional validate

validate: undefined | function

Inherited from FormikConfig.validate

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:71

### Optional validateOnBlur

validateOnBlur: undefined | false | true

Inherited from FormikSharedConfig.validateOnBlur

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:58

### Optional validateOnChange

validateOnChange: undefined | false | true

Inherited from FormikSharedConfig.validateOnChange

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:57

### Optional validationSchema

validationSchema: any | function

Inherited from FormikConfig.validationSchema

- Defined in /home/travis/build/BlueBaseJS/plugin-json-schema-components/node_modules/formik/dist/types.d.ts:70

Generated using TypeDoc